Bug 1324532 - [TEXT] - engine-upgrade-check should prompt user that while RPMs are updated the engine might not be updated if he didn't run engine setup
Summary: [TEXT] - engine-upgrade-check should prompt user that while RPMs are updated ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks: 1446056
TreeView+ depends on / blocked
 
Reported: 2016-04-06 14:38 UTC by Alexandros Gkesos
Modified: 2019-11-14 07:44 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
If a user runs 'engine-upgrade-check' without running 'engine-setup', a warning displays, informing the user that the system may not be fully up to date, even if the engine-upgrade-check says no upgrade is available.
Clone Of:
: 1446056 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:38:32 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1366900 0 urgent CLOSED [RFE] - Support direct to version upgrade of the manager 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:40:08 UTC
oVirt gerrit 73589 0 master MERGED packaging: setup: engine-upgrade-check should note user 2017-03-20 10:46:34 UTC
oVirt gerrit 74309 0 ovirt-engine-4.1 MERGED packaging: setup: engine-upgrade-check should note user 2017-03-20 11:14:54 UTC

Internal Links: 1366900

Description Alexandros Gkesos 2016-04-06 14:38:20 UTC
3. What is the nature and description of the request?
RHEV engine-upgrade-check says no updates available when the rhevm-setup package is up to date, but this does not neccessary mean the engine is up to date. One can run yum update on the the system and have the rhevm-setup up to date but still have an outdated rhevm because engine-setup didn't run.
Eg, 

# engine-upgrade-check
VERB: queue package rhevm-setup for update
VERB: Downloading: repomdE9SThbtmp.xml (0%)
VERB: Downloading: repomdE9SThbtmp.xml 2.1 k(100%)
VERB: Downloading: repomdFpcNa_tmp.xml (0%)
VERB: Downloading: repomdFpcNa_tmp.xml 2.1 k(100%)
VERB: Building transaction
VERB: Empty transaction
VERB: Transaction Summary:
No upgrade

4. Why does the customer need this? (List the business requirements here)
The current behaviour is confusing. Engine-upgrade-check says the system is up to date, while it's not.

5. How would the customer like to achieve this? (List the functional requirements here)
Change engine-upgrade-check and make it check all engine rpm's and not just the one for rhevm-setup

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
run yum update on a system without running engine-setup. Run engine-upgrade-check and check if there's a message like eg "The rhevm-setup is already updated. Please run engine-setup to update the rhev-m as well"

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
Not aware of any

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
no

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
rhevm*.rpm

11. Would the customer be able to assist in testing this functionality if implemented? 
yes, but I don't think it's difficult to test this at RH. :-)

Comment 2 Alexandros Gkesos 2016-04-06 14:47:58 UTC
10. List any affected packages or components.
# rpm -qf /usr/bin/engine-upgrade-check
rhevm-setup-plugin-ovirt-engine-3.6.4.1-0.1.el6.noarch

Comment 3 Sandro Bonazzola 2016-08-04 15:33:08 UTC
dropping [TEXT] since this imply functional changes that need to handle version lock plugin, not only print output.

Comment 7 rhev-integ 2017-04-26 08:44:14 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND CLONE FLAGS: ['rhevm-4.1.z', 'rhevm-4.2-ga'], ]

For more info please contact: rhv-devops@redhat.com

Comment 8 rhev-integ 2017-04-26 10:03:45 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND CLONE FLAGS: ['rhevm-4.1.z', 'rhevm-4.2-ga'], ]

For more info please contact: rhv-devops@redhat.com

Comment 9 rhev-integ 2017-04-26 10:49:55 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[FOUND CLONE FLAGS: ['rhevm-4.1.z', 'rhevm-4.2-ga'], ]

For more info please contact: rhv-devops@redhat.com

Comment 12 Jiri Belka 2018-01-24 14:54:00 UTC
ok, ovirt-engine-setup-plugin-ovirt-engine-4.2.1.2-0.1.el7.noarch

Comment 15 errata-xmlrpc 2018-05-15 17:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 16 Franta Kust 2019-05-16 13:07:49 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.